(**********************************************************************)
(*                                                                    *)
(*                        CPA beats ooCFA                             *)
(*                                                                    *)
(*       Frédéric Besson,      Inria Rennes - Bretagne Atlantique     *)
(*                                                                    *)
(*  Copyright Institut National de Recherche en Informatique et en    *)
(*  Automatique. All rights reserved                                  *)
(*                                                                    *)
(**********************************************************************)
(** The development is made of
   - # <a href="StdNotations.html">  notations </a> #
   -  # <a href="Fix.html"> Kleene fixpoint theorems </a> #
   - Results about  #<a href="FType.html"> finite types </a>#
   - #<a href="Cool.html"> Core Object-Oriented Language </a># definition
   - Context-sensitive #<a href="ICool.html"> instrumented semantics </a># with equivalence proofs
   - The parametrised #<a href="PointsToAnalysis.html"> Points-to analysis </a># with soundness proofs
   - The proof that #<a href="CPA_CFA.html"> CPA beats oo-CFA </a># 
   The source code is available #<a href="CPABeatsCFA.tar.gz"> here </a>#
   *)

